using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.HuiJu
{
    /// <summary>
    /// 统计数据
    /// </summary>
    public class SubmitCaseTotalInfo
    {
        /// <summary>
        /// 坐席数（个）
        /// </summary>
        [JsonPropertyName("SEATNUM")]
        public int SeatNum { get; set; }

        /// <summary>
        /// 坐席话务员数（个）
        /// </summary>
        [JsonPropertyName("SEATHWYNUM")]
        public int SeatHwyNum { get; set; }

        /// <summary>
        /// 催办总量
        /// </summary>
        [JsonPropertyName("CBZL")]
        public int CBZL { get; set; }

        /// <summary>
        /// 上报日期
        /// </summary>
        [JsonPropertyName("SUBMIT_DATE")]
        public DateTime? SubmitDate { get; set; } = DateTime.Now;

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }
    }
}
